<?php
/**
* Magento
*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License (OSL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/osl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@magentocommerce.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade Magento to newer
* versions in the future. If you wish to customize Magento for your
* needs please refer to http://www.magentocommerce.com for more information.
*
* @category    Mage
* @package     Mage_Core
* @copyright   Copyright (c) 2012 Magento Inc. (http://www.magentocommerce.com)
* @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
*/

/**
* Template model
*
* Example:
*
* // Loading of template
* $emailTemplate  = Mage::getModel('core/email_template')
*    ->load(Mage::getStoreConfig('path_to_email_template_id_config'));
* $variables = array(
*    'someObject' => Mage::getSingleton('some_model')
*    'someString' => 'Some string value'
* );
* $emailTemplate->send('some@domain.com', 'Name Of User', $variables);
*
* @method Mage_Core_Model_Resource_Email_Template _getResource()
* @method Mage_Core_Model_Resource_Email_Template getResource()
* @method string getTemplateCode()
* @method Mage_Core_Model_Email_Template setTemplateCode(string $value)
* @method string getTemplateText()
* @method Mage_Core_Model_Email_Template setTemplateText(string $value)
* @method string getTemplateStyles()
* @method Mage_Core_Model_Email_Template setTemplateStyles(string $value)
* @method int getTemplateType()
* @method Mage_Core_Model_Email_Template setTemplateType(int $value)
* @method string getTemplateSubject()
* @method Mage_Core_Model_Email_Template setTemplateSubject(string $value)
* @method string getTemplateSenderName()
* @method Mage_Core_Model_Email_Template setTemplateSenderName(string $value)
* @method string getTemplateSenderEmail()
* @method Mage_Core_Model_Email_Template setTemplateSenderEmail(string $value)
* @method string getAddedAt()
* @method Mage_Core_Model_Email_Template setAddedAt(string $value)
* @method string getModifiedAt()
* @method Mage_Core_Model_Email_Template setModifiedAt(string $value)
* @method string getOrigTemplateCode()
* @method Mage_Core_Model_Email_Template setOrigTemplateCode(string $value)
* @method string getOrigTemplateVariables()
* @method Mage_Core_Model_Email_Template setOrigTemplateVariables(string $value)
*
* @category    Mage
* @package     Mage_Core
* @author      Magento Core Team <core@magentocommerce.com>
*/
class Onlinebiz_Optimize_Model_Core_Email_Template extends Onlinebiz_Optimize_Model_Core_Email_Template_Abstract
{  

  protected function _getLogoUrl($store)
  {
    $store = Mage::app()->getStore($store);
    $fileName = $store->getConfig(self::XML_PATH_DESIGN_EMAIL_LOGO);
    if ($fileName) {
      $uploadDir = Mage_Adminhtml_Model_System_Config_Backend_Email_Logo::UPLOAD_DIR;
      $fullFileName = Mage::getBaseDir('media') . DS . $uploadDir . DS . $fileName;
      if (file_exists($fullFileName)) {
        return Mage::getBaseUrl(Onlinebiz_Optimize_Model_Core_Store::URL_TYPE_MEDIA_BASE) . $uploadDir . '/' . $fileName;
      }
    }
    return Mage::getDesign()->getSkinMageUrl('images/logo_email.gif');
  }
}
